Browse Source

demonstrateur pour les JPO2019

Sébastien DI MERCURIO 5 years ago
parent
commit
9a7132e922

+ 18
- 1
software/install-opencv.sh View File

@@ -20,7 +20,8 @@
20 20
 
21 21
 OPENCV_VERSION='3.4.2'
22 22
 
23
-
23
+mkdir opencv
24
+cd opencv
24 25
 # 1. KEEP UBUNTU OR DEBIAN UP TO DATE
25 26
 
26 27
 sudo apt-get -y update
@@ -82,6 +83,22 @@ make -j5
82 83
 sudo make install
83 84
 sudo ldconfig
84 85
 
86
+# 4. Compile raspicam
87
+cd ~
88
+cd opencv
89
+
90
+wget https://sourceforge.net/projects/raspicam/files/latest/raspicam.zip
91
+unzip raspicam.zip
92
+cd raspicam-0.1.6
93
+
94
+mkdir build
95
+cd build
96
+cmake ..
97
+
98
+make -j5
99
+sudo make install
100
+sudo ldconfig
101
+
85 102
 
86 103
 # 4. EXECUTE SOME OPENCV EXAMPLES AND COMPILE A DEMONSTRATION
87 104
 

+ 1
- 0
software/raspberry/superviseur-robot/main.cpp View File

@@ -29,6 +29,7 @@
29 29
 int main(int argc, char **argv) {
30 30
     Tasks tasks;
31 31
     
32
+    
32 33
     //Lock the memory to avoid memory swapping for this program
33 34
     mlockall(MCL_CURRENT | MCL_FUTURE);
34 35
 

+ 3
- 3
software/raspberry/superviseur-robot/nbproject/Makefile-Debug__RPI_.mk View File

@@ -42,7 +42,7 @@ OBJECTFILES= \
42 42
 	${OBJECTDIR}/lib/img.o \
43 43
 	${OBJECTDIR}/lib/messages.o \
44 44
 	${OBJECTDIR}/main.o \
45
-	${OBJECTDIR}/tasks.o
45
+	${OBJECTDIR}/tasks_pthread.o
46 46
 
47 47
 
48 48
 # C Compiler Flags
@@ -104,10 +104,10 @@ ${OBJECTDIR}/main.o: main.cpp
104 104
 	${RM} "$@.d"
105 105
 	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -I./ -I./lib -I/usr/xenomai/include -I/usr/xenomai/include/mercury `pkg-config --cflags opencv`   -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/main.o main.cpp
106 106
 
107
-${OBJECTDIR}/tasks.o: tasks.cpp
107
+${OBJECTDIR}/tasks_pthread.o: tasks_pthread.cpp
108 108
 	${MKDIR} -p ${OBJECTDIR}
109 109
 	${RM} "$@.d"
110
-	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -I./ -I./lib -I/usr/xenomai/include -I/usr/xenomai/include/mercury `pkg-config --cflags opencv`   -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/tasks.o tasks.cpp
110
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -I./ -I./lib -I/usr/xenomai/include -I/usr/xenomai/include/mercury `pkg-config --cflags opencv`   -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/tasks_pthread.o tasks_pthread.cpp
111 111
 
112 112
 # Subprojects
113 113
 .build-subprojects:

+ 125
- 0
software/raspberry/superviseur-robot/nbproject/Makefile-JPO2019_RPI_.mk View File

@@ -0,0 +1,125 @@
1
+#
2
+# Generated Makefile - do not edit!
3
+#
4
+# Edit the Makefile in the project folder instead (../Makefile). Each target
5
+# has a -pre and a -post target defined where you can add customized code.
6
+#
7
+# This makefile implements configuration specific macros and targets.
8
+
9
+
10
+# Environment
11
+MKDIR=mkdir
12
+CP=cp
13
+GREP=grep
14
+NM=nm
15
+CCADMIN=CCadmin
16
+RANLIB=ranlib
17
+CC=gcc
18
+CCC=g++
19
+CXX=g++
20
+FC=gfortran
21
+AS=as
22
+
23
+# Macros
24
+CND_PLATFORM=GNU-Linux
25
+CND_DLIB_EXT=so
26
+CND_CONF=JPO2019_RPI_
27
+CND_DISTDIR=dist
28
+CND_BUILDDIR=build
29
+
30
+# Include project Makefile
31
+include ./Makefile
32
+
33
+# Object Directory
34
+OBJECTDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}
35
+
36
+# Object Files
37
+OBJECTFILES= \
38
+	${OBJECTDIR}/lib/base64/base64.o \
39
+	${OBJECTDIR}/lib/camera.o \
40
+	${OBJECTDIR}/lib/commonitor.o \
41
+	${OBJECTDIR}/lib/comrobot.o \
42
+	${OBJECTDIR}/lib/img.o \
43
+	${OBJECTDIR}/lib/messages.o \
44
+	${OBJECTDIR}/main.o \
45
+	${OBJECTDIR}/tasks_pthread.o
46
+
47
+
48
+# C Compiler Flags
49
+CFLAGS=-I/usr/xenomai/include/mercury -I/usr/xenomai/include -D_GNU_SOURCE -D_REENTRANT -fasynchronous-unwind-tables -D__MERCURY__ -I/usr/xenomai/include/alchemy
50
+
51
+# CC Compiler Flags
52
+CCFLAGS=-D_GNU_SOURCE -D_REENTRANT -fasynchronous-unwind-tables -Wno-pmf-conversions -std=gnu++11
53
+CXXFLAGS=-D_GNU_SOURCE -D_REENTRANT -fasynchronous-unwind-tables -Wno-pmf-conversions -std=gnu++11
54
+
55
+# Fortran Compiler Flags
56
+FFLAGS=
57
+
58
+# Assembler Flags
59
+ASFLAGS=
60
+
61
+# Link Libraries and Options
62
+LDLIBSOPTIONS=`pkg-config --libs opencv` -lraspicam_cv -lraspicam  
63
+
64
+# Build Targets
65
+.build-conf: ${BUILD_SUBPROJECTS}
66
+	"${MAKE}"  -f nbproject/Makefile-${CND_CONF}.mk ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/superviseur-robot
67
+
68
+${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/superviseur-robot: ${OBJECTFILES}
69
+	${MKDIR} -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}
70
+	${LINK.cc} -o ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/superviseur-robot ${OBJECTFILES} ${LDLIBSOPTIONS} -Wl,--no-as-needed -Wl,--dynamic-list=/usr/xenomai/lib/dynlist.ld -lpthread -lrt
71
+
72
+${OBJECTDIR}/lib/base64/base64.o: lib/base64/base64.cpp
73
+	${MKDIR} -p ${OBJECTDIR}/lib/base64
74
+	${RM} "$@.d"
75
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -D__WITH_PTHREAD__ -I./ -I./lib `pkg-config --cflags opencv` -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/lib/base64/base64.o lib/base64/base64.cpp
76
+
77
+${OBJECTDIR}/lib/camera.o: lib/camera.cpp
78
+	${MKDIR} -p ${OBJECTDIR}/lib
79
+	${RM} "$@.d"
80
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -D__WITH_PTHREAD__ -I./ -I./lib `pkg-config --cflags opencv` -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/lib/camera.o lib/camera.cpp
81
+
82
+${OBJECTDIR}/lib/commonitor.o: lib/commonitor.cpp
83
+	${MKDIR} -p ${OBJECTDIR}/lib
84
+	${RM} "$@.d"
85
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -D__WITH_PTHREAD__ -I./ -I./lib `pkg-config --cflags opencv` -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/lib/commonitor.o lib/commonitor.cpp
86
+
87
+${OBJECTDIR}/lib/comrobot.o: lib/comrobot.cpp
88
+	${MKDIR} -p ${OBJECTDIR}/lib
89
+	${RM} "$@.d"
90
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -D__WITH_PTHREAD__ -I./ -I./lib `pkg-config --cflags opencv` -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/lib/comrobot.o lib/comrobot.cpp
91
+
92
+${OBJECTDIR}/lib/img.o: lib/img.cpp
93
+	${MKDIR} -p ${OBJECTDIR}/lib
94
+	${RM} "$@.d"
95
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -D__WITH_PTHREAD__ -I./ -I./lib `pkg-config --cflags opencv` -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/lib/img.o lib/img.cpp
96
+
97
+${OBJECTDIR}/lib/messages.o: lib/messages.cpp
98
+	${MKDIR} -p ${OBJECTDIR}/lib
99
+	${RM} "$@.d"
100
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -D__WITH_PTHREAD__ -I./ -I./lib `pkg-config --cflags opencv` -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/lib/messages.o lib/messages.cpp
101
+
102
+${OBJECTDIR}/main.o: main.cpp
103
+	${MKDIR} -p ${OBJECTDIR}
104
+	${RM} "$@.d"
105
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -D__WITH_PTHREAD__ -I./ -I./lib `pkg-config --cflags opencv` -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/main.o main.cpp
106
+
107
+${OBJECTDIR}/tasks_pthread.o: tasks_pthread.cpp
108
+	${MKDIR} -p ${OBJECTDIR}
109
+	${RM} "$@.d"
110
+	$(COMPILE.cc) -g -D_WITH_TRACE_ -D__WITH_ARUCO__ -D__WITH_PTHREAD__ -I./ -I./lib `pkg-config --cflags opencv` -std=c++11  -MMD -MP -MF "$@.d" -o ${OBJECTDIR}/tasks_pthread.o tasks_pthread.cpp
111
+
112
+# Subprojects
113
+.build-subprojects:
114
+
115
+# Clean Targets
116
+.clean-conf: ${CLEAN_SUBPROJECTS}
117
+	${RM} -r ${CND_BUILDDIR}/${CND_CONF}
118
+
119
+# Subprojects
120
+.clean-subprojects:
121
+
122
+# Enable dependency checking
123
+.dep.inc: .depcheck-impl
124
+
125
+include .dep.inc

+ 1
- 1
software/raspberry/superviseur-robot/nbproject/Makefile-impl.mk View File

@@ -31,7 +31,7 @@ DEFAULTCONF=Debug__PC_
31 31
 CONF=${DEFAULTCONF}
32 32
 
33 33
 # All Configurations
34
-ALLCONFS=Debug__PC_ Debug__RPI_ 
34
+ALLCONFS=Debug__PC_ Debug__RPI_ JPO2019_RPI_ 
35 35
 
36 36
 
37 37
 # build

+ 8
- 0
software/raspberry/superviseur-robot/nbproject/Makefile-variables.mk View File

@@ -22,6 +22,14 @@ CND_ARTIFACT_PATH_Debug__RPI_=dist/Debug__RPI_/GNU-Linux/superviseur-robot
22 22
 CND_PACKAGE_DIR_Debug__RPI_=dist/Debug__RPI_/GNU-Linux/package
23 23
 CND_PACKAGE_NAME_Debug__RPI_=superviseur-robot.tar
24 24
 CND_PACKAGE_PATH_Debug__RPI_=dist/Debug__RPI_/GNU-Linux/package/superviseur-robot.tar
25
+# JPO2019_RPI_ configuration
26
+CND_PLATFORM_JPO2019_RPI_=GNU-Linux
27
+CND_ARTIFACT_DIR_JPO2019_RPI_=dist/JPO2019_RPI_/GNU-Linux
28
+CND_ARTIFACT_NAME_JPO2019_RPI_=superviseur-robot
29
+CND_ARTIFACT_PATH_JPO2019_RPI_=dist/JPO2019_RPI_/GNU-Linux/superviseur-robot
30
+CND_PACKAGE_DIR_JPO2019_RPI_=dist/JPO2019_RPI_/GNU-Linux/package
31
+CND_PACKAGE_NAME_JPO2019_RPI_=superviseur-robot.tar
32
+CND_PACKAGE_PATH_JPO2019_RPI_=dist/JPO2019_RPI_/GNU-Linux/package/superviseur-robot.tar
25 33
 #
26 34
 # include compiler specific variables
27 35
 #

+ 76
- 0
software/raspberry/superviseur-robot/nbproject/Package-JPO2019_RPI_.bash View File

@@ -0,0 +1,76 @@
1
+#!/bin/bash -x
2
+
3
+#
4
+# Generated - do not edit!
5
+#
6
+
7
+# Macros
8
+TOP=`pwd`
9
+CND_PLATFORM=GNU-Linux
10
+CND_CONF=JPO2019_RPI_
11
+CND_DISTDIR=dist
12
+CND_BUILDDIR=build
13
+CND_DLIB_EXT=so
14
+NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
15
+TMPDIRNAME=tmp-packaging
16
+OUTPUT_PATH=${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/superviseur-robot
17
+OUTPUT_BASENAME=superviseur-robot
18
+PACKAGE_TOP_DIR=superviseur-robot/
19
+
20
+# Functions
21
+function checkReturnCode
22
+{
23
+    rc=$?
24
+    if [ $rc != 0 ]
25
+    then
26
+        exit $rc
27
+    fi
28
+}
29
+function makeDirectory
30
+# $1 directory path
31
+# $2 permission (optional)
32
+{
33
+    mkdir -p "$1"
34
+    checkReturnCode
35
+    if [ "$2" != "" ]
36
+    then
37
+      chmod $2 "$1"
38
+      checkReturnCode
39
+    fi
40
+}
41
+function copyFileToTmpDir
42
+# $1 from-file path
43
+# $2 to-file path
44
+# $3 permission
45
+{
46
+    cp "$1" "$2"
47
+    checkReturnCode
48
+    if [ "$3" != "" ]
49
+    then
50
+        chmod $3 "$2"
51
+        checkReturnCode
52
+    fi
53
+}
54
+
55
+# Setup
56
+cd "${TOP}"
57
+mkdir -p ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package
58
+rm -rf ${NBTMPDIR}
59
+mkdir -p ${NBTMPDIR}
60
+
61
+# Copy files and create directories and links
62
+cd "${TOP}"
63
+makeDirectory "${NBTMPDIR}/superviseur-robot/bin"
64
+copyFileToTmpDir "${OUTPUT_PATH}" "${NBTMPDIR}/${PACKAGE_TOP_DIR}bin/${OUTPUT_BASENAME}" 0755
65
+
66
+
67
+# Generate tar file
68
+cd "${TOP}"
69
+rm -f ${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package/superviseur-robot.tar
70
+cd ${NBTMPDIR}
71
+tar -vcf ../../../../${CND_DISTDIR}/${CND_CONF}/${CND_PLATFORM}/package/superviseur-robot.tar *
72
+checkReturnCode
73
+
74
+# Cleanup
75
+cd "${TOP}"
76
+rm -rf ${NBTMPDIR}

+ 82
- 1
software/raspberry/superviseur-robot/nbproject/configurations.xml View File

@@ -11,6 +11,7 @@
11 11
       <itemPath>./lib/img.h</itemPath>
12 12
       <itemPath>./lib/messages.h</itemPath>
13 13
       <itemPath>./tasks.h</itemPath>
14
+      <itemPath>./tasks_pthread.h</itemPath>
14 15
     </logicalFolder>
15 16
     <logicalFolder name="ResourceFiles"
16 17
                    displayName="Resource Files"
@@ -28,6 +29,7 @@
28 29
       <itemPath>./main.cpp</itemPath>
29 30
       <itemPath>./lib/messages.cpp</itemPath>
30 31
       <itemPath>./tasks.cpp</itemPath>
32
+      <itemPath>./tasks_pthread.cpp</itemPath>
31 33
     </logicalFolder>
32 34
     <logicalFolder name="TestFiles"
33 35
                    displayName="Test Files"
@@ -113,6 +115,8 @@
113 115
       </item>
114 116
       <item path="./tasks.h" ex="false" tool="3" flavor2="0">
115 117
       </item>
118
+      <item path="./tasks_pthread.h" ex="false" tool="3" flavor2="0">
119
+      </item>
116 120
     </conf>
117 121
     <conf name="Debug__RPI_" type="1">
118 122
       <toolsSet>
@@ -180,10 +184,87 @@
180 184
       </item>
181 185
       <item path="./main.cpp" ex="false" tool="1" flavor2="0">
182 186
       </item>
183
-      <item path="./tasks.cpp" ex="false" tool="1" flavor2="0">
187
+      <item path="./tasks.h" ex="false" tool="3" flavor2="0">
188
+      </item>
189
+      <item path="./tasks_pthread.cpp" ex="false" tool="1" flavor2="0">
190
+      </item>
191
+      <item path="./tasks_pthread.h" ex="false" tool="3" flavor2="0">
192
+      </item>
193
+    </conf>
194
+    <conf name="JPO2019_RPI_" type="1">
195
+      <toolsSet>
196
+        <compilerSet>GNU|GNU</compilerSet>
197
+        <dependencyChecking>true</dependencyChecking>
198
+        <rebuildPropChanged>false</rebuildPropChanged>
199
+      </toolsSet>
200
+      <compileType>
201
+        <cTool>
202
+          <incDir>
203
+            <pElem>./</pElem>
204
+            <pElem>./lib</pElem>
205
+            <pElem>/usr/xenomai/include</pElem>
206
+            <pElem>/usr/xenomai/include/mercury</pElem>
207
+          </incDir>
208
+          <commandLine>-I/usr/xenomai/include/mercury -I/usr/xenomai/include -D_GNU_SOURCE -D_REENTRANT -fasynchronous-unwind-tables -D__MERCURY__ -I/usr/xenomai/include/alchemy</commandLine>
209
+        </cTool>
210
+        <ccTool>
211
+          <standard>8</standard>
212
+          <incDir>
213
+            <pElem>./</pElem>
214
+            <pElem>./lib</pElem>
215
+          </incDir>
216
+          <commandLine>-D_GNU_SOURCE -D_REENTRANT -fasynchronous-unwind-tables -Wno-pmf-conversions -std=gnu++11</commandLine>
217
+          <preprocessorList>
218
+            <Elem>_WITH_TRACE_</Elem>
219
+            <Elem>__WITH_ARUCO__</Elem>
220
+            <Elem>__WITH_PTHREAD__</Elem>
221
+          </preprocessorList>
222
+        </ccTool>
223
+        <linkerTool>
224
+          <linkerLibItems>
225
+            <linkerOptionItem>`pkg-config --libs opencv`</linkerOptionItem>
226
+            <linkerLibLibItem>raspicam_cv</linkerLibLibItem>
227
+            <linkerLibLibItem>raspicam</linkerLibLibItem>
228
+          </linkerLibItems>
229
+          <commandLine>-Wl,--no-as-needed -Wl,--dynamic-list=/usr/xenomai/lib/dynlist.ld -lpthread -lrt</commandLine>
230
+        </linkerTool>
231
+      </compileType>
232
+      <item path="./gdbsudo.sh" ex="false" tool="3" flavor2="0">
233
+      </item>
234
+      <item path="./lib/base64/base64.cpp" ex="false" tool="1" flavor2="8">
235
+      </item>
236
+      <item path="./lib/base64/base64.h" ex="false" tool="3" flavor2="0">
237
+      </item>
238
+      <item path="./lib/camera.cpp" ex="false" tool="1" flavor2="8">
239
+      </item>
240
+      <item path="./lib/camera.h" ex="false" tool="3" flavor2="0">
241
+      </item>
242
+      <item path="./lib/commonitor.cpp" ex="false" tool="1" flavor2="8">
243
+      </item>
244
+      <item path="./lib/commonitor.h" ex="false" tool="3" flavor2="0">
245
+      </item>
246
+      <item path="./lib/comrobot.cpp" ex="false" tool="1" flavor2="8">
247
+      </item>
248
+      <item path="./lib/comrobot.h" ex="false" tool="3" flavor2="0">
249
+      </item>
250
+      <item path="./lib/img.cpp" ex="false" tool="1" flavor2="8">
251
+      </item>
252
+      <item path="./lib/img.h" ex="false" tool="3" flavor2="0">
253
+      </item>
254
+      <item path="./lib/messages.cpp" ex="false" tool="1" flavor2="8">
255
+      </item>
256
+      <item path="./lib/messages.h" ex="false" tool="3" flavor2="0">
257
+      </item>
258
+      <item path="./main.cpp" ex="false" tool="1" flavor2="8">
259
+      </item>
260
+      <item path="./tasks.cpp" ex="true" tool="1" flavor2="8">
184 261
       </item>
185 262
       <item path="./tasks.h" ex="false" tool="3" flavor2="0">
186 263
       </item>
264
+      <item path="./tasks_pthread.cpp" ex="false" tool="1" flavor2="8">
265
+      </item>
266
+      <item path="./tasks_pthread.h" ex="false" tool="3" flavor2="0">
267
+      </item>
187 268
     </conf>
188 269
   </confs>
189 270
 </configurationDescriptor>

+ 1
- 0
software/raspberry/superviseur-robot/nbproject/private/Makefile-variables.mk View File

@@ -5,3 +5,4 @@
5 5
 #
6 6
 # Debug__PC_ configuration
7 7
 # Debug__RPI_ configuration
8
+# JPO2019_RPI_ configuration

+ 34
- 1
software/raspberry/superviseur-robot/nbproject/private/configurations.xml View File

@@ -41,7 +41,40 @@
41 41
     </conf>
42 42
     <conf name="Debug__RPI_" type="1">
43 43
       <toolsSet>
44
-        <developmentServer>pi@10.105.1.13:22</developmentServer>
44
+        <developmentServer>pi@10.105.1.11:22</developmentServer>
45
+        <platform>2</platform>
46
+      </toolsSet>
47
+      <dbx_gdbdebugger version="1">
48
+        <gdb_pathmaps>
49
+        </gdb_pathmaps>
50
+        <gdb_interceptlist>
51
+          <gdbinterceptoptions gdb_all="false" gdb_unhandled="true" gdb_unexpected="true"/>
52
+        </gdb_interceptlist>
53
+        <gdb_options>
54
+          <DebugOptions>
55
+          </DebugOptions>
56
+        </gdb_options>
57
+        <gdb_buildfirst gdb_buildfirst_overriden="false" gdb_buildfirst_old="false"/>
58
+      </dbx_gdbdebugger>
59
+      <nativedebugger version="1">
60
+        <engine>gdb</engine>
61
+      </nativedebugger>
62
+      <runprofile version="9">
63
+        <runcommandpicklist>
64
+          <runcommandpicklistitem>"${OUTPUT_PATH}"</runcommandpicklistitem>
65
+        </runcommandpicklist>
66
+        <runcommand>"${OUTPUT_PATH}"</runcommand>
67
+        <rundir></rundir>
68
+        <buildfirst>true</buildfirst>
69
+        <terminal-type>0</terminal-type>
70
+        <remove-instrumentation>0</remove-instrumentation>
71
+        <environment>
72
+        </environment>
73
+      </runprofile>
74
+    </conf>
75
+    <conf name="JPO2019_RPI_" type="1">
76
+      <toolsSet>
77
+        <developmentServer>pi@10.105.1.11:22</developmentServer>
45 78
         <platform>2</platform>
46 79
       </toolsSet>
47 80
       <dbx_gdbdebugger version="1">

+ 0
- 0
software/raspberry/superviseur-robot/nbproject/private/downloads-10.105.1.11-pi-22 View File


+ 3
- 2
software/raspberry/superviseur-robot/nbproject/private/private.xml View File

@@ -2,18 +2,19 @@
2 2
 <project-private xmlns="http://www.netbeans.org/ns/project-private/1">
3 3
     <data xmlns="http://www.netbeans.org/ns/make-project-private/1">
4 4
         <activeConfTypeElem>1</activeConfTypeElem>
5
-        <activeConfIndexElem>0</activeConfIndexElem>
5
+        <activeConfIndexElem>2</activeConfIndexElem>
6 6
     </data>
7 7
     <editor-bookmarks xmlns="http://www.netbeans.org/ns/editor-bookmarks/2" lastBookmarkId="0"/>
8 8
     <open-files xmlns="http://www.netbeans.org/ns/projectui-open-files/2">
9 9
         <group>
10 10
             <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/comrobot.cpp</file>
11
-            <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/tasks.cpp</file>
11
+            <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/tasks_pthread.h</file>
12 12
             <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/img.h</file>
13 13
             <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/img.cpp</file>
14 14
             <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/main.cpp</file>
15 15
             <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/commonitor.cpp</file>
16 16
             <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/camera.cpp</file>
17
+            <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/tasks_pthread.cpp</file>
17 18
             <file>file:/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/tasks.h</file>
18 19
         </group>
19 20
     </open-files>

+ 456
- 0
software/raspberry/superviseur-robot/nbproject/private/timestamps-10.105.1.11-pi-22 View File

@@ -0,0 +1,456 @@
1
+#Wed Jan 23 10:36:49 CET 2019
2
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_0.js=c1547565563000
3
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/camera_8h_source.html=c1547565563000
4
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_3.html=c1547565563000
5
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_position__coll__graph.md5=c1547564861000
6
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/base64/.gitignore=c1547735186000
7
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_4.js=c1547565563000
8
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_1.html=c1547565563000
9
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position__inherit__graph.md5=c1547560339000
10
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_8.html=c1547565563000
11
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_6.html=c1547565563000
12
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/searchdata.js=c1547565563000
13
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message__inherit__graph.png=c1547564949000
14
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message__inherit__graph.md5=c1547564949000
15
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_position__inherit__graph.md5=c1547560339000
16
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int__coll__graph.md5=c1547560339000
17
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/.gitignore=c1542120848000
18
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/nomatches.html=c1547565563000
19
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_com_robot.html=c1547565563000
20
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string-members.html=c1547565563000
21
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_5.map=c1547564949000
22
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h__dep__incl.md5=c1547560339000
23
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_camera.tex=c1547565563000
24
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_d.js=c1547565563000
25
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_1.png=c1547564769000
26
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/base64/README.md=c1547735186000
27
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_8.js=c1547565563000
28
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/superviseur.doxygen=c1547735186000
29
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_string__inherit__graph.md5=c1547560339000
30
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position__inherit__graph.map=c1547560340000
31
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h__dep__incl.png=c1547560339000
32
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_int__coll__graph.pdf=c1547560340000
33
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/gdbsudo.sh=c1547735187000
34
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_d.html=c1547565563000
35
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_b.html=c1547565563000
36
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_4.md5=c1547563913000
37
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/.dep.inc=c1547735187000
38
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/navtreedata.js=c1547565563000
39
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_3.html=c1547565563000
40
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int__coll__graph.map=c1547560340000
41
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_c.js=c1547565563000
42
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_arena.js=c1547565563000
43
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_7.js=c1547565563000
44
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherits.html=c1547565563000
45
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/files_1.html=c1547565563000
46
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img__coll__graph.md5=c1547563913000
47
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h__dep__incl.map=c1547560339000
48
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_2.js=c1547565563000
49
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/commonitor_8h__incl.pdf=c1547560339000
50
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/files_3.html=c1547565563000
51
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/Makefile-impl.mk=c1548233865000
52
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/examples/CMakeLists.txt=c1547736477000
53
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/commonitor_8h__incl.md5=c1547560339000
54
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/comrobot_8h.html=c1547565563000
55
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_4.map=c1547563913000
56
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/comrobot_8h_source.html=c1547565563000
57
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_c.js=c1547565563000
58
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/files.tex=c1547565563000
59
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_7.js=c1547565563000
60
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h.html=c1547565563000
61
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_0.png=c1547564862000
62
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/comrobot_8h.tex=c1547565563000
63
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message-members.html=c1547565563000
64
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/navtree.js=c1547565563000
65
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/files.html=c1547565563000
66
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_f.html=c1547565563000
67
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_1.js=c1547565563000
68
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/messages_8h__dep__incl.pdf=c1547560339000
69
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_13.js=c1547565563000
70
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enums_1.html=c1547565563000
71
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/graph_legend.html=c1547565563000
72
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/camera_8h.html=c1547565563000
73
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/img_8h__dep__incl.md5=c1547560339000
74
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img__coll__graph.map=c1547563913000
75
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/defines_1.html=c1547565563000
76
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_3.md5=c1547560339000
77
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/commonitor_8h.tex=c1547565563000
78
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/nav_h.png=c1547565563000
79
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message.tex=c1547565563000
80
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/dir_97aefd0d527b934f1d99a682da8fe6a9.js=c1547565563000
81
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string__inherit__graph.png=c1547560340000
82
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_2.html=c1547565563000
83
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_0.html=c1547565563000
84
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_7.html=c1547565563000
85
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/commonitor_8h__incl.map=c1547560339000
86
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_5.html=c1547565563000
87
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_1.js=c1547565563000
88
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery__inherit__graph.png=c1547560339000
89
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/dir_96aba1edb3024c67427e5e41410f3c29.js=c1547565563000
90
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/camera_8h.tex=c1547565563000
91
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h__incl.png=c1547560339000
92
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/main.cpp=c1548234862000
93
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/navtreeindex0.js=c1547565563000
94
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_3.map=c1547560340000
95
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_position__coll__graph.pdf=c1547564862000
96
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/commonitor_8h.html=c1547565563000
97
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/sync_off.png=c1547565563000
98
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/examples/src/videoExample.cpp=c1547736477000
99
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img__inherit__graph.md5=c1547560339000
100
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message__inherit__graph.pdf=c1547564949000
101
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/files_0.js=c1547565563000
102
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_position__inherit__graph.pdf=c1547560340000
103
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_a.html=c1547565563000
104
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string.html=c1547565563000
105
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_c.html=c1547565563000
106
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_2.md5=c1547560339000
107
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_e.js=c1547565563000
108
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/comrobot.cpp=c1547735186000
109
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_9.js=c1547565563000
110
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/nav_g.png=c1547565563000
111
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_2.html=c1547565563000
112
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_9.html=c1547565563000
113
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/camera.cpp=c1547735186000
114
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int-members.html=c1547565563000
115
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img-members.html=c1547565563000
116
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/camera_8h__incl.md5=c1547560339000
117
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/files_0.html=c1547565563000
118
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_14.html=c1547565563000
119
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_string__inherit__graph.pdf=c1547560340000
120
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img__inherit__graph.map=c1547560340000
121
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_8.js=c1547565563000
122
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_img__coll__graph.md5=c1547563913000
123
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/files_2.html=c1547565563000
124
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message__inherit__graph.md5=c1547564949000
125
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_2.map=c1547560340000
126
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/splitbar.png=c1547565563000
127
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_3.js=c1547565563000
128
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/examples/src/uiExample.cpp=c1547736477000
129
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/examples/src/rtvideoExample.cpp=c1547736477000
130
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h.js=c1547565563000
131
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/img_8h__incl.md5=c1547560339000
132
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/base64_8h__incl.md5=c1547560339000
133
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/hierarchy.tex=c1547565563000
134
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_e.html=c1547565563000
135
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/img_8h.tex=c1547565563000
136
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_0.js=c1547565563000
137
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string__coll__graph.png=c1547560340000
138
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/defines_0.js=c1547565563000
139
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enums_0.html=c1547565563000
140
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/Package-Debug__RPI_.bash=c1547735186000
141
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_d.js=c1547565563000
142
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_8.js=c1547565563000
143
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/defines_0.html=c1547565563000
144
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_1.md5=c1547564768000
145
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/nav_f.png=c1547565563000
146
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h__incl.png=c1547560339000
147
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/hierarchy.html=c1547565563000
148
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/.gitignore=c1547735186000
149
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_2.js=c1547565563000
150
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h__dep__incl.md5=c1547560339000
151
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_img__inherit__graph.md5=c1547560339000
152
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_14.js=c1547565563000
153
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_string__coll__graph.md5=c1547560339000
154
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/close.png=c1547565563000
155
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_1.html=c1547565563000
156
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message__inherit__graph.map=c1547564949000
157
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/base64/base64.h=c1547735186000
158
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_6.html=c1547565563000
159
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/Makefile=c1542100687000
160
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_4.html=c1547565563000
161
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_com_monitor.html=c1547565563000
162
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/img_8h__dep__incl.pdf=c1547560339000
163
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/Makefile=c1547565563000
164
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_2.js=c1547565563000
165
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_4.html=c1547565563000
166
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_1.map=c1547564769000
167
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/camera_8h.js=c1547565563000
168
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/dynsections.js=c1547565563000
169
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/search_r.png=c1547565563000
170
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/comrobot_8h__incl.png=c1547560339000
171
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h__dep__incl.map=c1547560339000
172
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/comrobot.h=c1547735186000
173
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_0.md5=c1547564861000
174
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_b.html=c1547565563000
175
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/pthread_version/tasks_pthread.cpp=c1547736477000
176
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_1.html=c1547565563000
177
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/messages_8h__incl.md5=c1547560339000
178
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/tab_h.png=c1547565563000
179
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_8.html=c1547565563000
180
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/files_1.js=c1547565563000
181
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enums_0.js=c1547565563000
182
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_arena-members.html=c1547565563000
183
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_f.js=c1547565563000
184
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_camera.js=c1547565563000
185
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_0.js=c1547565563000
186
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/globals.html=c1547565563000
187
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_13.html=c1547565563000
188
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string__inherit__graph.md5=c1547560339000
189
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery-members.html=c1547565563000
190
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/base64_8h.tex=c1547565563000
191
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery__inherit__graph.md5=c1547560339000
192
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_0.map=c1547564862000
193
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_9.js=c1547565563000
194
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int__inherit__graph.png=c1547560339000
195
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/base64_8h.js=c1547565563000
196
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h__incl.md5=c1547560339000
197
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/comrobot_8h__incl.md5=c1547560339000
198
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_position.tex=c1547565563000
199
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/camera_8h__incl.pdf=c1547560339000
200
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/commonitor.cpp=c1547735186000
201
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_d.html=c1547565563000
202
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_4.js=c1547565563000
203
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_int__inherit__graph.md5=c1547560339000
204
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_img__coll__graph.pdf=c1547563913000
205
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string__inherit__graph.map=c1547560340000
206
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/functions.html=c1547565563000
207
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/project.xml=c1548233865000
208
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_1.js=c1547565563000
209
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/defines_1.js=c1547565563000
210
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_0.html=c1547565563000
211
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_e.js=c1547565563000
212
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery__inherit__graph.map=c1547560339000
213
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_9.js=c1547565563000
214
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/commonitor_8h_source.html=c1547565563000
215
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_3.html=c1547565563000
216
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_5.html=c1547565563000
217
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/base64_8h__incl.pdf=c1547560339000
218
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/img_8h__incl.pdf=c1547560339000
219
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery__coll__graph.png=c1547560339000
220
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_3.js=c1547565563000
221
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h__incl.map=c1547560339000
222
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/tasks.cpp=c1548235426000
223
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/img.h=c1547735186000
224
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/project.properties=c1547735186000
225
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/folderclosed.png=c1547565563000
226
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_3.html=c1547565563000
227
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_img__inherit__graph.pdf=c1547560339000
228
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_string__coll__graph.pdf=c1547560340000
229
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/commonitor_8h.js=c1547565563000
230
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/doc.png=c1547565563000
231
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_int.tex=c1547565563000
232
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_3.js=c1547565563000
233
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_img-members.html=c1547565563000
234
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_a.html=c1547565563000
235
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/annotated_dup.js=c1547565563000
236
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_0.html=c1547565563000
237
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string__coll__graph.md5=c1547560339000
238
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_7.html=c1547565563000
239
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h__incl.md5=c1547560339000
240
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message.js=c1547565563000
241
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position__coll__graph.png=c1547564862000
242
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_12.html=c1547565563000
243
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/files_2.js=c1547565563000
244
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_img.tex=c1547565563000
245
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enums_1.js=c1547565563000
246
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/commonitor.h=c1547735186000
247
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/Makefile-Debug__RPI_.mk=c1548233882000
248
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/files.js=c1547565563000
249
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/menu.js=c1547565563000
250
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/globals_type.html=c1547565563000
251
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/messages_8h__incl.pdf=c1547560339000
252
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_1.js=c1547565563000
253
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_img.html=c1547565563000
254
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_battery__inherit__graph.md5=c1547560339000
255
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string__coll__graph.map=c1547560340000
256
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h_source.html=c1547565563000
257
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/xenomai/tasks.cpp=c1547736477000
258
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/dir_96aba1edb3024c67427e5e41410f3c29.tex=c1547565563000
259
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/annotated.tex=c1547565563000
260
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_c.html=c1547565563000
261
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h__incl.map=c1547560339000
262
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/pthread_version/tasks_pthread.h=c1547736477000
263
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/comrobot_8h__incl.md5=c1547560339000
264
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/struct_position.js=c1547565563000
265
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_a.js=c1547565563000
266
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_5.js=c1547565563000
267
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/comrobot_8h__incl.pdf=c1547560339000
268
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_2.html=c1547565563000
269
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_4.html=c1547565563000
270
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/base64_8h.html=c1547565563000
271
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_2.js=c1547565563000
272
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_9.html=c1547565563000
273
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_arena.tex=c1547565563000
274
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/dir_97aefd0d527b934f1d99a682da8fe6a9.html=c1547565563000
275
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_f.js=c1547565563000
276
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery.html=c1547565563000
277
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_int__inherit__graph.pdf=c1547560339000
278
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/tab_s.png=c1547565563000
279
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/base64_8h_source.html=c1547565563000
280
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/xenomai/tasks.h=c1547736477000
281
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_img.tex=c1547565563000
282
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/comrobot_8h__incl.map=c1547560339000
283
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/robot-icon.resized.png=c1547565563000
284
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_4.js=c1547565563000
285
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/base64/compile-and-run-test=c1547735186000
286
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/sync_on.png=c1547565563000
287
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_2.html=c1547565563000
288
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/typedefs_0.js=c1547565563000
289
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_string.js=c1547565563000
290
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/examples/src/serialExample.cpp=c1547736477000
291
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_battery__coll__graph.md5=c1547560339000
292
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int__inherit__graph.md5=c1547560339000
293
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/doxygen.sty=c1547565563000
294
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/camera_8h__incl.png=c1547560339000
295
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_4.js=c1547565563000
296
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/graph_legend.png=c1547560340000
297
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_6.html=c1547565563000
298
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_10.js=c1547565563000
299
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_11.html=c1547565563000
300
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/img.cpp=c1547735186000
301
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/messages.h=c1547735186000
302
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/globals_enum.html=c1547565563000
303
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/Package-Debug__PC_.bash=c1547735186000
304
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/messages.cpp=c1547735186000
305
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_string.tex=c1547565563000
306
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int__inherit__graph.map=c1547560340000
307
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery__coll__graph.md5=c1547560339000
308
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/base64_8h__incl.png=c1547560339000
309
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/search_m.png=c1547565563000
310
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/globals_func.html=c1547565563000
311
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/jquery.js=c1547565563000
312
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/files_3.js=c1547565563000
313
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/navtree.css=c1547565563000
314
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enums_2.js=c1547565563000
315
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/camera.h=c1547735186000
316
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_com_monitor.js=c1547565563000
317
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_2.js=c1547565563000
318
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/Makefile-JPO2019_RPI_.mk=c1548234923000
319
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_b.html=c1547565563000
320
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/globals_defs.html=c1547565563000
321
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_6.png=c1547564862000
322
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_camera.html=c1547565563000
323
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/search.css=c1547565563000
324
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_battery__inherit__graph.pdf=c1547560339000
325
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery__coll__graph.map=c1547560339000
326
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message.html=c1547565563000
327
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/classes.html=c1547565563000
328
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/base64/test.cpp=c1547735186000
329
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_1.html=c1547565563000
330
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_3.html=c1547565563000
331
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_b.js=c1547565563000
332
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_8.html=c1547565563000
333
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_6.js=c1547565563000
334
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/tabs.css=c1547565563000
335
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position__coll__graph.md5=c1547564861000
336
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position-members.html=c1547565563000
337
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position.html=c1547565563000
338
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/search_l.png=c1547565563000
339
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/base64/LICENSE=c1547735186000
340
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_3.js=c1547565563000
341
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_1.html=c1547565563000
342
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int.js=c1547565563000
343
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/folderopen.png=c1547565563000
344
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/typedefs_1.html=c1547565563000
345
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img.js=c1547565563000
346
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/tasks_pthread.h=c1548235419000
347
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/dir_97aefd0d527b934f1d99a682da8fe6a9.tex=c1547565563000
348
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/struct_position-members.html=c1547565563000
349
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/messages_8h.tex=c1547565563000
350
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_a.js=c1547565563000
351
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_5.js=c1547565563000
352
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/examples/src/serialTest.cpp=c1547736477000
353
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/Makefile-Debug__PC_.mk=c1547735186000
354
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/typedefs_1.js=c1547565563000
355
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/tab_b.png=c1547565563000
356
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_5.png=c1547564949000
357
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h_source.html=c1547565563000
358
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_0.js=c1547565563000
359
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_f.html=c1547565563000
360
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/annotated.html=c1547565563000
361
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position__coll__graph.map=c1547564862000
362
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position__inherit__graph.png=c1547560340000
363
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_5.html=c1547565563000
364
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_com_monitor.tex=c1547565563000
365
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/mag_sel.png=c1547565563000
366
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/globals_eval.html=c1547565563000
367
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_a.js=c1547565563000
368
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_5.js=c1547565563000
369
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_10.html=c1547565563000
370
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_battery__coll__graph.pdf=c1547560339000
371
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/bdwn.png=c1547565563000
372
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int__coll__graph.png=c1547560339000
373
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/functions_func.html=c1547565563000
374
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/resize.js=c1547565563000
375
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/open.png=c1547565563000
376
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_11.js=c1547565563000
377
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_camera-members.html=c1547565563000
378
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/messages_8h__dep__incl.png=c1547560339000
379
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/functions_vars.html=c1547565563000
380
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h.js=c1547565563000
381
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_com_robot.js=c1547565563000
382
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_com_monitor-members.html=c1547565563000
383
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/tasks.h=c1547735186000
384
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_a.html=c1547565563000
385
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/lib/base64/base64.cpp=c1547735186000
386
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/tab_a.png=c1547565563000
387
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_4.png=c1547563913000
388
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_3.js=c1547565563000
389
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/struct_position.tex=c1547565563000
390
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img__coll__graph.png=c1547563913000
391
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/camera_8h__incl.md5=c1547560339000
392
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_4.html=c1547565563000
393
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_2.html=c1547565563000
394
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_0.html=c1547565563000
395
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/graph_legend.md5=c1547560339000
396
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_9.html=c1547565563000
397
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_7.html=c1547565563000
398
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img.html=c1547565563000
399
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/tasks_pthread.cpp=c1548236202000
400
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/doxygen.png=c1547565563000
401
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_int__coll__graph.md5=c1547560339000
402
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/commonitor_8h__incl.png=c1547560339000
403
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_c.js=c1547565563000
404
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/classes_0.html=c1547565563000
405
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_7.js=c1547565563000
406
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/Makefile-variables.mk=c1548233865000
407
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/typedefs_0.html=c1547565563000
408
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_com_robot.tex=c1547565563000
409
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/base64_8h__incl.md5=c1547560339000
410
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/dir_96aba1edb3024c67427e5e41410f3c29.html=c1547565563000
411
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enumvalues_4.js=c1547565563000
412
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/search.js=c1547565563000
413
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/camera_8h__incl.map=c1547560339000
414
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_3.png=c1547560340000
415
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/class_message_battery.tex=c1547565563000
416
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_b.js=c1547565563000
417
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_6.js=c1547565563000
418
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_e.html=c1547565563000
419
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/commonitor_8h__incl.md5=c1547560339000
420
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_c.html=c1547565563000
421
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/closed.png=c1547565563000
422
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/private/Makefile-variables.mk=c1548233865000
423
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/examples/src/serverTest.cpp=c1547736477000
424
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_int.html=c1547565563000
425
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/index.html=c1547565563000
426
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_4.html=c1547565563000
427
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_6.md5=c1547564861000
428
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/refman.tex=c1547565563000
429
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/not_for_students/examples/.gitignore=c1547736477000
430
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/functions_1.js=c1547565563000
431
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_position.js=c1547565563000
432
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/menudata.js=c1547565563000
433
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_arena.html=c1547565563000
434
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_com_robot-members.html=c1547565563000
435
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/base64_8h__incl.map=c1547560339000
436
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/messages_8h__dep__incl.md5=c1547560339000
437
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/nbproject/Package-JPO2019_RPI_.bash=c1548233865000
438
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/doxygen.css=c1547565563000
439
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_b.js=c1547565563000
440
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_6.js=c1547565563000
441
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/struct_position.html=c1547565563000
442
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_img__inherit__graph.png=c1547560339000
443
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_message_battery.js=c1547565563000
444
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/variables_0.js=c1547565563000
445
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/bc_s.png=c1547565563000
446
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/class_img.js=c1547565563000
447
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/all_12.js=c1547565563000
448
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_6.map=c1547564862000
449
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/README.md=c1541685829000
450
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_2.png=c1547560340000
451
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/search/enums_2.html=c1547565563000
452
+VERSION=1.3
453
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/latex/robot-icon.resized.png=c1547565563000
454
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/img_8h.html=c1547565563000
455
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/hierarchy.js=c1547565563000
456
+/home/dimercur/Documents/Travail/git/dumber/software/raspberry/superviseur-robot/doc/html/inherit_graph_5.md5=c1547564949000

+ 4
- 0
software/raspberry/superviseur-robot/nbproject/project.xml View File

@@ -21,6 +21,10 @@
21 21
                     <name>Debug__RPI_</name>
22 22
                     <type>1</type>
23 23
                 </confElem>
24
+                <confElem>
25
+                    <name>JPO2019_RPI_</name>
26
+                    <type>1</type>
27
+                </confElem>
24 28
             </confList>
25 29
             <formatting>
26 30
                 <project-formatting-style>false</project-formatting-style>

+ 1
- 1
software/raspberry/superviseur-robot/tasks.cpp View File

@@ -212,7 +212,7 @@ void Tasks::ReceiveFromMonTask(void *arg) {
212 212
             msgSend = new Message(MESSAGE_ANSWER_ACK);
213 213
             isActive = true;
214 214
 
215
-            delete(msgRcv); // mus be deleted manually, no consumer
215
+            delete(msgRcv); // must be deleted manually, no consumer
216 216
         }
217 217
 
218 218
         if (msgRcv->CompareID(MESSAGE_ROBOT_COM_CLOSE)) {

+ 305
- 0
software/raspberry/superviseur-robot/tasks_pthread.cpp View File

@@ -0,0 +1,305 @@
1
+/*
2
+ * Copyright (C) 2018 dimercur
3
+ *
4
+ * This program is free software: you can redistribute it and/or modify
5
+ * it under the terms of the GNU General Public License as published by
6
+ * the Free Software Foundation, either version 3 of the License, or
7
+ * (at your option) any later version.
8
+ *
9
+ * This program is distributed in the hope that it will be useful,
10
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
11
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
12
+ * GNU General Public License for more details.
13
+ *
14
+ * You should have received a copy of the GNU General Public License
15
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
16
+ */
17
+
18
+#include "tasks_pthread.h"
19
+#include <time.h>
20
+
21
+#ifdef __WITH_PTHREAD__
22
+
23
+// Déclaration des priorités des taches
24
+#define PRIORITY_TSERVER 30
25
+#define PRIORITY_TOPENCOMROBOT 20
26
+#define PRIORITY_TMOVE 10
27
+#define PRIORITY_TSENDTOMON 25
28
+#define PRIORITY_TRECEIVEFROMMON 22
29
+#define PRIORITY_TSTARTROBOT 20
30
+
31
+/*
32
+ * Some remarks:
33
+ * 1- This program is mostly a template. It shows you how to create tasks, semaphore
34
+ *   message queues, mutex ... and how to use them
35
+ * 
36
+ * 2- semDumber is, as name say, useless. Its goal is only to show you how to use semaphore
37
+ * 
38
+ * 3- Data flow is probably not optimal
39
+ * 
40
+ * 4- Take into account that ComRobot::Write will block your task when serial buffer is full,
41
+ *   time for internal buffer to flush
42
+ * 
43
+ * 5- Same behavior existe for ComMonitor::Write !
44
+ * 
45
+ * 6- When you want to write something in terminal, use cout and terminate with endl and flush
46
+ * 
47
+ * 7- Good luck !
48
+ */
49
+
50
+void Tasks::Init() {
51
+    int status;
52
+
53
+    /* Open com port with STM32 */
54
+    cout << "Open serial com (";
55
+    status = robot.Open();
56
+    cout << status;
57
+    cout << ")" << endl;
58
+
59
+    if (status >= 0) {
60
+        // Open server
61
+
62
+        status = monitor.Open(SERVER_PORT);
63
+        cout << "Open server on port " << (SERVER_PORT) << " (" << status << ")" << endl;
64
+
65
+        if (status < 0) throw std::runtime_error {
66
+            "Unable to start server on port " + std::to_string(SERVER_PORT)
67
+        };
68
+    } else
69
+        throw std::runtime_error {
70
+        "Unable to open serial port /dev/ttyS0 "
71
+    };
72
+}
73
+
74
+void Tasks::Run() {
75
+    threadTimer = new thread((void (*)(void*)) & Tasks::TimerTask, this);
76
+    threadServer = new thread((void (*)(void*)) & Tasks::ServerTask, this);
77
+
78
+    cout << "Tasks launched" << endl << flush;
79
+}
80
+
81
+void Tasks::Stop() {
82
+    monitor.Close();
83
+    robot.Close();
84
+}
85
+
86
+void Tasks::ServerTask(void *arg) {
87
+    Message *msgRcv;
88
+    Message *msgSend;
89
+    bool isActive = true;
90
+
91
+    cout << "Start " << __PRETTY_FUNCTION__ << endl << flush;
92
+
93
+    while (isActive) {
94
+        msgRcv = NULL;
95
+        msgSend = NULL;
96
+
97
+        msgRcv = monitor.Read();
98
+        cout << "Rcv <= " << msgRcv->ToString() << endl << flush;
99
+
100
+        if (msgRcv->CompareID(MESSAGE_ROBOT_COM_OPEN)) {
101
+            msgSend = new Message(MESSAGE_ANSWER_ACK);
102
+            isActive = true;
103
+
104
+            delete(msgRcv); // must be deleted manually, no consumer
105
+        }
106
+
107
+        if (msgRcv->CompareID(MESSAGE_ROBOT_COM_CLOSE)) {
108
+            msgSend = new Message(MESSAGE_ANSWER_ACK);
109
+            cout << "isActive = false!" << msgRcv->ToString() << endl << flush;
110
+            isActive = false;
111
+
112
+            delete(msgRcv); // mus be deleted manually, no consumer
113
+        }
114
+
115
+        if (msgRcv->CompareID(MESSAGE_ROBOT_START_WITH_WD)) {
116
+            msgSend = robot.Write(msgRcv);
117
+            cout << "Start with wd answer: " << msgSend->ToString() << endl << flush;
118
+        }
119
+
120
+        if (msgRcv->CompareID(MESSAGE_ROBOT_START_WITHOUT_WD)) {
121
+            msgSend = robot.Write(msgRcv);
122
+            cout << "Start without wd answer: " << msgSend->ToString() << endl << flush;
123
+        }
124
+
125
+        if (msgRcv->CompareID(MESSAGE_ROBOT_RESET)) {
126
+            msgSend = robot.Write(msgRcv);
127
+            cout << "Reset answer: " << msgSend->ToString() << endl << flush;
128
+        }
129
+
130
+        if (msgRcv->CompareID(MESSAGE_ROBOT_GO_FORWARD) ||
131
+                msgRcv->CompareID(MESSAGE_ROBOT_GO_BACKWARD) ||
132
+                msgRcv->CompareID(MESSAGE_ROBOT_GO_LEFT) ||
133
+                msgRcv->CompareID(MESSAGE_ROBOT_GO_RIGHT) ||
134
+                msgRcv->CompareID(MESSAGE_ROBOT_STOP)) {
135
+            msgSend = robot.Write(msgRcv);
136
+
137
+            cout << "Movement answer: " << msgSend->ToString() << endl << flush;
138
+
139
+            if (msgSend->CompareID(MESSAGE_ANSWER_ACK)) {
140
+                delete (msgSend);
141
+                msgSend = NULL;
142
+            }
143
+        }
144
+
145
+        if (msgRcv->CompareID(MESSAGE_CAM_OPEN)) {
146
+            sendImage = true;
147
+            msgSend = new Message(MESSAGE_ANSWER_ACK);
148
+
149
+            delete(msgRcv); // must be deleted manually, no consumer
150
+        }
151
+
152
+        if (msgRcv->CompareID(MESSAGE_CAM_CLOSE)) {
153
+            sendImage = false;
154
+            msgSend = new Message(MESSAGE_ANSWER_ACK);
155
+
156
+            delete(msgRcv); // must be deleted manually, no consumer
157
+        }
158
+
159
+        if (msgRcv->CompareID(MESSAGE_CAM_POSITION_COMPUTE_START)) {
160
+            sendPosition = true;
161
+            msgSend = new Message(MESSAGE_ANSWER_ACK);
162
+
163
+            delete(msgRcv); // must be deleted manually, no consumer
164
+        }
165
+
166
+        if (msgRcv->CompareID(MESSAGE_CAM_POSITION_COMPUTE_STOP)) {
167
+            sendPosition = false;
168
+            msgSend = new Message(MESSAGE_ANSWER_ACK);
169
+
170
+            delete(msgRcv); // must be deleted manually, no consumer
171
+        }
172
+
173
+        if (msgRcv->CompareID(MESSAGE_ROBOT_BATTERY_GET)) {
174
+            msgSend = new MessageBattery(MESSAGE_ROBOT_BATTERY_LEVEL, BATTERY_FULL);
175
+
176
+            delete(msgRcv); // must be deleted manually, no consumer
177
+        }
178
+
179
+        if (msgRcv->CompareID(MESSAGE_CAM_ASK_ARENA)) {
180
+            showArena = true;
181
+
182
+            delete(msgRcv); // must be deleted manually, no consumer
183
+        }
184
+
185
+        if (msgRcv->CompareID(MESSAGE_CAM_ARENA_CONFIRM)) {
186
+            showArena = false;
187
+
188
+            delete(msgRcv); // must be deleted manually, no consumer
189
+        }
190
+
191
+        if (msgRcv->CompareID(MESSAGE_CAM_ARENA_INFIRM)) {
192
+            showArena = false;
193
+
194
+            delete(msgRcv); // must be deleted manually, no consumer
195
+        }
196
+
197
+        if (msgSend != NULL) monitor.Write(msgSend);
198
+    }
199
+}
200
+
201
+void Tasks::TimerTask(void* arg) {
202
+    struct timespec tim, tim2;
203
+    Message *msgSend;
204
+    int counter;
205
+    int cntFrame = 0;
206
+    Position pos;
207
+    Arena arena;
208
+    int counter_img;
209
+
210
+    tim.tv_sec = 0;
211
+    tim.tv_nsec = 50000000; // 50ms (20fps)
212
+
213
+    cout << "Start " << __PRETTY_FUNCTION__ << endl << flush;
214
+
215
+    Camera camera = Camera(sm, 15);
216
+    cout << "Try opening camera" << endl << flush;
217
+    if (camera.Open()) cout << "Camera opened successfully" << endl << flush;
218
+    else {
219
+        cout << "Failed to open camera" << endl << flush;
220
+
221
+        exit(0);
222
+    }
223
+
224
+    pos.angle = 0.0;
225
+    pos.robotId = -1;
226
+    pos.center = cv::Point2f(0, 0);
227
+    pos.direction = cv::Point2f(0, 0);
228
+
229
+    counter_img = 0;
230
+
231
+    while (1) {
232
+        Img image = camera.Grab(); // 15fps
233
+        cntFrame++;
234
+        cout << "cnt: " << to_string(cntFrame) << endl << flush;
235
+
236
+        if (sendPosition == true) {
237
+            counter++;
238
+
239
+            if (counter >= 5) { // div =15
240
+                counter = 0;
241
+
242
+                //if (!arena.IsEmpty()) {
243
+                image.dictionary = cv::aruco::getPredefinedDictionary(cv::aruco::PREDEFINED_DICTIONARY_NAME(3));
244
+
245
+                std::list<Position> poses = image.SearchRobot(arena);
246
+                cout << "Nbr of pos detected: " << to_string(poses.size()) << endl << flush;
247
+
248
+                if (poses.size() > 0) {
249
+                    Position firstPos = poses.front();
250
+
251
+                    pos.angle = firstPos.angle;
252
+                    pos.robotId = firstPos.robotId;
253
+                    pos.center = firstPos.center;
254
+                    pos.direction = firstPos.direction;
255
+                } else {
256
+                    // Nothing found
257
+                    pos.angle = 0.0;
258
+                    pos.robotId = -1;
259
+                    pos.center = cv::Point2f(0, 0);
260
+                    pos.direction = cv::Point2f(0, 0);
261
+                }
262
+
263
+                MessagePosition *msgp = new MessagePosition(MESSAGE_CAM_POSITION, pos);
264
+                monitor.Write(msgp);
265
+                cout << "Position sent" << endl << flush;
266
+            }
267
+        }
268
+
269
+        if (sendImage == true) {
270
+            counter_img++;
271
+
272
+            if (counter_img >= 1) {
273
+                counter_img = 0;
274
+
275
+                if (showArena) {
276
+                    arena = image.SearchArena();
277
+
278
+                    if (!arena.IsEmpty()) image.DrawArena(arena);
279
+                    else cout << "Arena not found" << endl << flush;
280
+                }
281
+
282
+                if (sendPosition == true) {
283
+                    image.DrawRobot(pos);
284
+                }
285
+
286
+                if (!arena.IsEmpty()) image.DrawArena(arena);
287
+
288
+                MessageImg *msg = new MessageImg(MESSAGE_CAM_IMAGE, &image);
289
+
290
+                monitor.Write(msg);
291
+                cout << "Image sent" << endl << flush;
292
+            }
293
+        }
294
+    }
295
+}
296
+
297
+void Tasks::SendToMonTask(void* arg) {
298
+    cout << "Start " << __PRETTY_FUNCTION__ << endl << flush;
299
+
300
+    while (1) {
301
+
302
+    }
303
+}
304
+
305
+#endif //__WITH_PTHREAD__

+ 104
- 0
software/raspberry/superviseur-robot/tasks_pthread.h View File

@@ -0,0 +1,104 @@
1
+/*
2
+ * Copyright (C) 2018 dimercur
3
+ *
4
+ * This program is free software: you can redistribute it and/or modify
5
+ * it under the terms of the GNU General Public License as published by
6
+ * the Free Software Foundation, either version 3 of the License, or
7
+ * (at your option) any later version.
8
+ *
9
+ * This program is distributed in the hope that it will be useful,
10
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
11
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
12
+ * GNU General Public License for more details.
13
+ *
14
+ * You should have received a copy of the GNU General Public License
15
+ * along with this program.  If not, see <http://www.gnu.org/licenses/>.
16
+ */
17
+
18
+#ifndef __TASKS_H__
19
+#define __TASKS_H__
20
+
21
+#ifdef __WITH_PTHREAD__
22
+#include <stdio.h>
23
+#include <stdlib.h>
24
+#include <unistd.h>
25
+
26
+#include "camera.h"
27
+#include "img.h"
28
+
29
+#include "messages.h"
30
+#include "commonitor.h"
31
+#include "comrobot.h"
32
+
33
+#include <thread>
34
+#include <mutex>
35
+#include <condition_variable>
36
+
37
+class Tasks {
38
+public:
39
+/**
40
+     * @brief Initialisation des structures de l'application (tâches, mutex, 
41
+     * semaphore, etc.)
42
+     */
43
+    void Init();
44
+
45
+    /**
46
+     * @brief Démarrage des tâches
47
+     */
48
+    void Run();
49
+
50
+    /**
51
+     * @brief Arrêt des tâches
52
+     */
53
+    void Stop();
54
+    
55
+    /**
56
+     */
57
+    void Join() {
58
+        threadServer->join();
59
+        threadTimer->join();
60
+        threadSendToMon->join();
61
+    }
62
+    
63
+    /**
64
+     */
65
+    bool AcceptClient() {
66
+        return monitor.AcceptClient();
67
+    }
68
+    
69
+     /**
70
+     * @brief Thread handling server communication.
71
+     */
72
+    void ServerTask(void *arg);
73
+
74
+    /**
75
+     * @brief Thread handling server communication.
76
+     */
77
+    void TimerTask(void *arg);
78
+    
79
+    /**
80
+     * @brief Thread handling communication to monitor.
81
+     */
82
+    void SendToMonTask(void *arg);
83
+private:
84
+    ComMonitor monitor;
85
+    ComRobot robot;
86
+    
87
+    bool sendImage=false;
88
+    bool sendPosition=false;
89
+    
90
+    int counter;
91
+    bool flag;
92
+    
93
+    bool showArena=false;
94
+    
95
+    thread *threadServer;
96
+    thread *threadSendToMon;
97
+    thread *threadTimer;
98
+    
99
+    mutex mutexTimer;
100
+};
101
+
102
+#endif // __WITH_PTHREAD__
103
+#endif /* __TASKS_H__ */
104
+

Loading…
Cancel
Save